%% This file contains the programs used to plot empirical IRFs

%% Preliminaries
clc;
close all;
clear all;

load IRFs.txt;
load FinalDat.csv;
FinalData=FinalDat;

% Label variables
quarters=IRFs(:,1);
zer=zeros(length(quarters),1);
GDPEx=100*IRFs(:,2)/mean(FinalData(:,2));
GDPEx_5=100*IRFs(:,3)/mean(FinalData(:,2));
GDPEx_95=100*IRFs(:,4)/mean(FinalData(:,2));
Nondur=100*IRFs(:,5)/mean(FinalData(:,3));
Nondur_5=100*IRFs(:,6)/mean(FinalData(:,3));
Nondur_95=100*IRFs(:,7)/mean(FinalData(:,3));
Dur=100*IRFs(:,8)/mean(FinalData(:,4));
Dur_5=100*IRFs(:,9)/mean(FinalData(:,4));
Dur_95=100*IRFs(:,10)/mean(FinalData(:,4));
Resinv=100*IRFs(:,11)/mean(FinalData(:,5));
Resinv_5=100*IRFs(:,12)/mean(FinalData(:,5));
Resinv_95=100*IRFs(:,13)/mean(FinalData(:,5));
GDPDef=100*IRFs(:,14)/mean(FinalData(:,6));
GDPDef_5=100*IRFs(:,15)/mean(FinalData(:,6));
GDPDef_95=100*IRFs(:,16)/mean(FinalData(:,6));
PPI=100*IRFs(:,17)/mean(FinalData(:,7));
PPI_5=100*IRFs(:,18)/mean(FinalData(:,7));
PPI_95=100*IRFs(:,19)/mean(FinalData(:,7));
FF=IRFs(:,20);
FF_5=IRFs(:,21);
FF_95=IRFs(:,22);
M2growth=100*IRFs(:,23)/mean(FinalData(:,9));
M2growth_5=100*IRFs(:,24)/mean(FinalData(:,9));
M2growth_95=100*IRFs(:,25)/mean(FinalData(:,9));

%% Plot impulse response functions
ymin=min(Resinv_5)-1;
ymax=max(Resinv_95)+1;
figure(1)
subplot(4,2,1)
set(gca, 'YLim', [ymin ymax], 'YTickMode', 'auto')
hold
plot(quarters,GDPEx,'k',quarters,GDPEx_5,'--b',quarters,GDPEx_95,'--b',quarters,zer,'k')
title('All Other Components of GDP')
hold off
subplot(4,2,2)
set(gca, 'YLim', [ymin ymax], 'YTickMode', 'auto')
hold
plot(quarters,Nondur,'k',quarters,Nondur_5,'--b',quarters,Nondur_95,'--b',quarters,zer,'k')
title('Nondurable Consumption')
hold off
subplot(4,2,3)
set(gca, 'YLim', [ymin ymax], 'YTickMode', 'auto')
hold
plot(quarters,Dur,'k',quarters,Dur_5,'--b',quarters,Dur_95,'--b',quarters,zer,'k')
title('Durable Consumption')
hold off
subplot(4,2,4)
set(gca, 'YLim', [ymin ymax], 'YTickMode', 'auto')
hold
plot(quarters,Resinv,'k',quarters,Resinv_5,'--b',quarters,Resinv_95,'--b',quarters,zer,'k')
title('Residential Investment')
hold off
subplot(4,2,5)
plot(quarters,GDPDef,'k',quarters,GDPDef_5,'--b',quarters,GDPDef_95,'--b',quarters,zer,'k')
title('GDP Deflator')
subplot(4,2,6)
plot(quarters,PPI,'k',quarters,PPI_5,'--b',quarters,PPI_95,'--b',quarters,zer,'k')
title('Producer Prices')
subplot(4,2,7)
plot(quarters,FF,'k',quarters,FF_5,'--b',quarters,FF_95,'--b',quarters,zer,'k')
title('Federal Funds Rate')
subplot(4,2,8)
plot(quarters,M2growth,'k',quarters,M2growth_5,'--b',quarters,M2growth_95,'--b',quarters,zer,'k')
title('M2 Growth')
